EOD Chart Data
gets the complete details and its properties
Request to be POSTed to uri : /NorenWClientAPI/EODChartData
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| sym* | Symbol name | |
| from* | From date | |
| to* | To date |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/EODChartData' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"sym":"BSE:SENSEX","from":"1715320068","to":"1716184068"}'
Response Details :
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Ok | TPData success indication. |
| time | DD/MM/CCYY hh:mm:ss | |
| into | Interval open | |
| inth | Interval high | |
| intl | Interval low | |
| intc | Interval close | |
| ssboe | Date,Seconds in 1970 format | |
| intv | Interval volume |
Sample Success Response :
[
"{
\"time\":\"21-SEP-2022\",
\"into\":\"2496.75\",
\"inth\":\"2533.00\",
\"intl\":\"2495.00\",
\"intc\":\"2509.75\",
\"ssboe\":\"1663718400\",
\"intv\":\"4249172.00\"
}",
"{
\"time\":\"15-SEP-2022\",
\"into\":\"2583.00\",
\"inth\":\"2603.55\",
\"intl\":\"2556.75\",
\"intc\":\"2562.70\",
\"ssboe\":\"1663200000\",
\"intv\":\"4783723.00\"
}",
"{
\"time\":\"28-JUN-2021\",
\"into\":\"2122.00\",
\"inth\":\"2126.50\",
\"intl\":\"2081.00\",
\"intc\":\"2086.00\",
\"ssboe\":\"1624838400\",
\"intv\":\"9357852.00\"
}"
]
Sample Failure Response :
{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid Session Key"
}